<?php
/*********************************************************      
 程序说明：         
    功能说明：进行话务查询

    调用关系：调用:header.inc     
              被调用:      
 
    变量说明：
     返回值：无

 作者：   
      
修改注释：      
NO.1      
姓名：            
时间：      
修改说明：      
*********************************************************/  
require("../../inc/header.inc");
?>
<body leftmargin="15" rightmargin="10" onload="javascript:adjust_frame('down');" onresize="javascript:adjust_frame('down');" style="overflow:hidden;overflow-x:hidden;overflow-y:hidden;">
<?php
adjust_head_frame("down");
adjust_title_head_frame("down");
adjust_title_tail_frame("down");

adjust_content_head_frame("down");	
echo "<br>";

$showDate = date("d",mktime(0,0,0,date("m"),date("d")-$sel_date,date("Y")));
$timeItem = date("Y-m-d",mktime(0,0,0,date("m"),date("d")-$sel_date,date("Y")));
$showDate = omc_keep_length($showDate,0,2);
$db=$csta_db;
$sort_field = 'csta_datetime';		//排序所依赖的字段名
$sort_direction = 'DESC';			//排序顺序
$number_records_to_display = 200;	//每页纪录数
$time_column = "csta_datetime";
$table_name='vlrDetail'."_".$showDate;

 $sel_field_list= @mysql_list_fields($db,$table_name);
 if(!$sel_field_list)
 {
	echo "<br>$strNotFindRecord.";
	exit();
 }


if($language == 'eng')
{
	$strAmma="Attempted MS memory available notifications";
	$strSmma="Successful MS memory available notifications";
	$strAirp="Attempted Identification requests to PVLRs";
	$strSirp="Successful Identification requests to PVLRs";
	$strApr="Attempted page requests";
	$strSpr="Successful page requests";
	$strAprpla="Attempted page requests per Location Area";
	$strSprpla="Successful page requests per Location Area";
	$strArassv="Attempted requests for Authentication sets sent to HLR by VLRs";
	$strSrashv="Successful received Authentication sets from HLR to VLRs";
	$strErrash="Empty responses to request for Authentication sets from HLR to VLRs";
	$strAapv="Attempted authentication procedures in VLR";
	$strSapv="Successful authentication procedures in the VLR";
	$strAavlu="Attempted intra-VLR Location Updates";
	$strSavlu="Successful intra-VLR Location Updates";
	$strArvlu="Attempted inter-VLR Location Updates";
	$strSrvlu="Successful inter-VLR Location Updates";
	$strAvop="Arrivals of Visitors from other PLMNs";
	$strSoprv="Subscribers from other PLMNs registered in the VLR";
	$strNrv="Number of roamers in the VLR";
}
else
{
	$strAmma="Attempted MS memory available notifications";
	$strSmma="Successful MS memory available notifications";
	$strAirp="Attempted Identification requests to PVLRs";
	$strSirp="Successful Identification requests to PVLRs";
	$strApr="Attempted page requests";
	$strSpr="Successful page requests";
	$strAprpla="Attempted page requests per Location Area";
	$strSprpla="Successful page requests per Location Area";
	$strArassv="Attempted requests for Authentication sets sent to HLR by VLRs";
	$strSrashv="Successful received Authentication sets from HLR to VLRs";
	$strErrash="Empty responses to request for Authentication sets from HLR to VLRs";	
	$strAapv="Attempted authentication procedures in VLR";
	$strSapv="Successful authentication procedures in the VLR";
	$strAavlu="Attempted intra-VLR Location Updates";
	$strSavlu="Successful intra-VLR Location Updates";
	$strArvlu="Attempted inter-VLR Location Updates";
	$strSrvlu="Successful inter-VLR Location Updates";
	$strAvop="Arrivals of Visitors from other PLMNs";
	$strSoprv="Subscribers from other PLMNs registered in the VLR";
	$strNrv="Number of roamers in the VLR";
}
$where = isset($where) ? urldecode($where) : '';  //传回变量后解url码
$where = isset($where) ? stripslashes($where) : ''; //解除一些'/'
//删除所查询的内容
if($delete){    
      $sql_query="DELETE FROM $table_name ".$where;               
      $sql_query=urlencode($sql_query); //将该字符串编码，适合传递
      echo " <meta http-equiv=\"refresh\" content=\"0; url=./csta_del.php?del_sql=$sql_query\"> ";
}//end of delete
?>

<script LANGUAGE="JavaScript">  
function goto(){      
		var url_1,url_2,url_3,url_4,url_5,initial_record,gotopage,number_records_to_display,where,number_of_records,sort_field,sel_date;
		gotopage=document.selectform.gotopage.value;
		number_records_to_display=<?php echo $number_records_to_display; ?>;
		where=document.selectform.where.value;
		initial_record=number_records_to_display*(gotopage-1);
		number_of_records=document.selectform.number_of_records.value;
		sort_field=document.selectform.sort_field.value;
		sel_date=document.selectform.sel_date.value;
		url_1='<?php echo $PHP_SELF;?>?initial_record='+initial_record;
		url_2="&where="+where;
		url_3="&number_of_records="+number_of_records;
		url_4="&sort_field="+sort_field;
		url_5="&sel_date="+sel_date;
		window.location.href=url_1+url_2+url_3+url_4+url_5;     
}      
</script>
<?php
// 初始化变量
if (!$number_of_records){//跳转页面不进行初始化
	//-------确定日期范围-----
	if($sel_date<0){
		$bgn_date=date("Y-m-d H:i:s", mktime(0,0,0,date("m"),date("d")-6,date("Y")));
		$end_date=date("Y-m-d H:i:s", mktime());
	}elseif($sel_date>0){
		if($sel_time){
			$bgn_date=date("Y-m-d H:i:s", mktime($hou_1,$mid_1,$sec_1,date("m"),date("d")-$sel_date,date("Y")));
			$end_date=date("Y-m-d H:i:s", mktime($hou_2,$mid_2,$sec_2,date("m"),date("d")-$sel_date,date("Y")));
		}else{
			$bgn_date=date("Y-m-d H:i:s", mktime(0,0,0,date("m"),date("d")-$sel_date,date("Y")));
			$end_date=date("Y-m-d H:i:s", mktime(0,0,0,date("m"),date("d")-$sel_date+1,date("Y")));
		}
	}else{
		if($sel_time){
			$bgn_date=date("Y-m-d H:i:s", mktime($hou_1,$mid_1,$sec_1,date("m"),date("d")-$sel_date,date("Y")));
			$end_date=date("Y-m-d H:i:s", mktime($hou_2,$mid_2,$sec_2,date("m"),date("d")-$sel_date,date("Y")));
		}else{
			$bgn_date=date("Y-m-d H:i:s", mktime(0,0,0,date("m"),date("d"),date("Y")));
			$end_date=date("Y-m-d H:i:s", mktime());
		}
	}

	/* where语句的时间限制组成部分为$w1,系统id限制为$w2 */
	$w1=" $time_column >='$bgn_date' AND $time_column <= '$end_date'";
	
	//合成where语句
	$where=" WHERE".$w1;
	
	$initial_record = 0;//初始纪录号

	$str_sql_all="SELECT count(*) as number_of_records FROM $table_name ".$where;
	//echo "<br>str_sql_all=$str_sql_all";
	$csta_result= mysqli_query($pubConn,$str_sql_all);
	$record = mysql_fetch_object($csta_result);
	$number_of_records = $record->number_of_records;
	if(!$number_of_records)
	{      
		echo "<br>$strNotFindRecord";
		exit();
	}
 
}//endif

$page_num= ($initial_record / $number_records_to_display) +1;  //该页页码
$all_page_num= ceil($number_of_records / $number_records_to_display);  //总页码
if ($number_of_records >= 1){
	$next_index = $initial_record + $number_records_to_display;  //本页的结束数目
	if ($next_index > $number_of_records)   
	{
		$next_index = $number_of_records;
	}
	$t1 = $initial_record + 1;
	$prev_index = $initial_record - $number_records_to_display;
	if ($prev_index < 0){
		$prev_index = 0;
	} 
}  
$show_initital_record=$initial_record+1;
?>
<TABLE  border="1" width="100%" cellpadding="2" cellspacing="0" bordercolor="#666666" bordercolordark="#FFFFFF" bgcolor="#FFFFFF">   
<TR>   
<TD width="50%"><?php echo "$strDisplayRecords:<FONT color=#0000ff>&nbsp;$show_initital_record - $next_index</FONT>, ($strTotalRecords:$number_of_records ) &nbsp;&nbsp;"; ?></TD>   
<TD width="100" align="center">&nbsp; 
<?php     
//$number_of_records_on_current_page = mysqli_num_rows($csta_result);
//echo "$number_of_records_on_current_page<br>";
//下面是控制分页显示，传递变量
if ($initial_record != 0)
{
	$t1 = "initial_record=$prev_index&number_of_records=$number_of_records&table_name=$table_name&sel_date=$sel_date";
    $where=urlencode($where); //将该字符串编码，适合传递
	echo "<a href=\"$PHP_SELF?$t1&where=$where&now_date=$end_date&last_date=$bgn_date&call_type=$call_type\">";
	?>
	<IMG alt=前一页 src="../../images/pre_page.gif"    border="0"></a>&nbsp; 
	<?php
}
// NEW: Display a link for the next set of records.
if ($next_index != $number_of_records && $number_of_records >0 && $number_of_records > $number_records_to_display )
{
	$t1 = "initial_record=$next_index&number_of_records=$number_of_records&table_name=$table_name&sel_date=$sel_date";
    $where=urlencode($where); //将该字符串编码，适合传递
	echo "<a href=\"$PHP_SELF?$t1&where=$where&now_date=$end_date&last_date=$bgn_date&call_type=$call_type\">";
    ?>
	<IMG alt=下一页  src="../../images/next_page.gif"   border="0"></a>
	<?php
    }
    ?> 
</TD>  
<form name="selectform" method="post" action="<?php echo "$PHP_SELF?initial_record=$prev_index&number_of_records=$number_of_records&where=$where&table_name=$table_name&call_type=$call_type";?>" 
> 
  <TD align="center">
  <?php echo "$strPage"; ?>
  <select size="1" name="gotopage" onChange="javascript:goto()">       
  <?php
  for($i=1;$i<=$all_page_num;$i++){
        if($i== $page_num ){
	      echo "<option  selected  value=\"$i\" >$i</option>";
	}else{
	      echo "<option value=\"$i\">$i</option>";
	}
  }
  ?>
      </select></td>
</TR>
</TABLE>
<?php 
$where = isset($where) ? urldecode($where) : '';  //传回变量后解url码
$where = isset($where) ? urldecode($where) : '';  //传回变量后解url码
$where = isset($where) ? stripslashes($where) : ''; //解除一些'/'

//查询数据并放入myrows数租中。
//合成sql语句
$order=" ORDER BY $sort_field   $sort_direction";
$limit=" LIMIT $initial_record, $number_records_to_display";
 
$csta_sql="SELECT * FROM $table_name"."\n".$where.$order.$limit; 
//echo "$csta_sql<br>";
$csta_result = mysqli_query($pubConn,$csta_sql);
$csta_rows = @mysqli_fetch_array($csta_result);
echo mysqli_error($pubConn);

echo "<table border=\"1\" width=\"100%\" cellpadding=\"2\" cellspacing=\"0\" bordercolor=\"#666666\" bordercolordark=\"#FFFFFF\" bgcolor=\"#FFFFFF\">";  

if($call_type==0)//call handling
{
	echo "<tr bgcolor=\"#E6E6E6\" align=\"center\" valign=\"top\">";
    echo "<td>$strSystem</td>";
    echo "<td>$strAmma</td>";
    echo "<td>$strSmma</td>";
	/*
    echo "<td>$strAirp</td>";
    echo "<td>$strSirp</td>";
	*/
    echo "<td>$strApr</td>";
    echo "<td>$strSpr</td>";
	/*
    echo "<td>$strAprpla</td>";
    echo "<td>$strSprpla</td>";
    echo "<td>$strAvop</td>";
	*/
	//echo "<td>$strSoprv</td>";	
    //echo "<td>$strNrv</td>";
    echo "<td>$strTime($timeItem)</td>";
	echo "</tr>";
	do
	{
		echo "<tr>";
		echo "<td align=\"center\">";
		echo "VLR"."_"."$csta_rows[key_sys_id]";
		echo "</td>";
		echo "<td align=\"center\">$csta_rows[amma]</td>";
		echo "<td align=\"center\">$csta_rows[smma]</td>";
		/*
		echo "<td align=\"center\">$csta_rows[airp]</td>";
		echo "<td align=\"center\">$csta_rows[sirp]</td>";
		*/
		echo "<td align=\"center\">$csta_rows[apr]</td>";
		echo "<td align=\"center\">$csta_rows[spr]</td>";
		//echo "<td align=\"center\">$csta_rows[aprpla]</td>";
		//echo "<td align=\"center\">$csta_rows[sprpla]</td>";
		//echo "<td align=\"center\">$csta_rows[avop]</td>";
		//echo "<td align=\"center\">$csta_rows[soprv]</td>";
		//echo "<td align=\"center\">$csta_rows[nrv]</td>";
		$tmpArray = explode(" ",$csta_rows[csta_datetime]);
		echo "<td align=\"center\">$tmpArray[1]</td>";
		echo "</tr>";
     }while($csta_rows= mysqli_fetch_array($csta_result));
}
elseif($call_type==1)//location management
{
	echo "<tr bgcolor=\"#E6E6E6\" align=\"center\" valign=\"top\">";
    echo "<td>$strSystem</td>";
    echo "<td>$strArassv</td>";
    echo "<td>$strSrashv</td>";
    //echo "<td>$strErrash</td>";
    echo "<td>$strAapv</td>";
    echo "<td>$strSapv</td>";
    echo "<td>$strAavlu</td>";
    echo "<td>$strSavlu</td>";
	/*
    echo "<td>$strArvlu</td>";
    echo "<td>$strSrvlu</td>";
	*/
    echo "<td>$strTime($timeItem)</td>";
	echo "</tr>";
	do
	{
		echo "<tr>";
		echo "<td align=\"center\">";
		echo "VLR"."_"."$csta_rows[key_sys_id]";
		echo "</td>";
		echo "<td align=\"center\">$csta_rows[arassv]</td>";
		echo "<td align=\"center\">$csta_rows[srashv]</td>";
		//echo "<td align=\"center\">$csta_rows[errash]</td>";
		echo "<td align=\"center\">$csta_rows[aapv]</td>";
		echo "<td align=\"center\">$csta_rows[sapv]</td>";
		echo "<td align=\"center\">$csta_rows[aavlu]</td>";
		echo "<td align=\"center\">$csta_rows[savlu]</td>";
		/*
		echo "<td align=\"center\">$csta_rows[arvlu]</td>";
		echo "<td align=\"center\">$csta_rows[srvlu]</td>";
		*/
		$tmpArray = explode(" ",$csta_rows[csta_datetime]);
		echo "<td align=\"center\">$tmpArray[1]</td>";
		echo "</tr>";
     }while($csta_rows= mysqli_fetch_array($csta_result));
}
?>
</table>
<input type="hidden" name="where" value="<?php echo $where; ?>">
<input type="hidden" name="number_of_records" value="<?php echo $number_of_records; ?>">
<input type="hidden" name="sort_field" value="<?php echo $sort_field; ?>">
<input type="hidden" name="sel_date" value="<?php echo $sel_date; ?>">
</form>
<?php
adjust_content_tail("down");
?>
</body>
</html>